﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using SchoolModel;
using System.Data.Entity;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity.Infrastructure;
using SchoolModel.Mapping;

namespace SchoolData
{
    public class SchoolContext : DbContext
    {
        static string conn = "Data Source=.;Initial Catalog=School;Persist Security Info=True;User ID=sa;Password=sasa;Pooling=False";
        
        public SchoolContext()
            : base(conn)
        {
            
        }

        public DbSet<Course> Courses { get; set; }
        public DbSet<Department> Departments { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<IncludeMetadataConvention>();
            modelBuilder.Configurations.Add(new DepartmentMap());
        }

    }
}
