﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace SchoolModel
{
    public class Person
    {

        [Key()] 
        public int PersonID
        {
            set;
            get;
        }
        public string LastName
        {
            set;
            get;
        }
        public string FirstName
        {
            set;
            get;
        }
        public Nullable<DateTime> HireDate
        {
            set;
            get;
        }
        public Nullable<DateTime> EnrollmentDate
        {
            set;
            get;
        }
        public virtual  List<OfficeAssignment> OfficeAssignment
        {
            set;
            get;
        }
        public virtual List<StudentGrade> StudentGrades
        {
            set;
            get;
        }

        public virtual List<Course> Courses
        {
            set;
            get;
        }
    }
}
